ReferenceWhatsApp Business API
Get Groups List
GET
List active WhatsApp groups for the account. Paginate with limit, before, and after.
JWT tokenquery
token<token>limit?integerLimit number of groups returned
before?stringPagination cursor for groups list (before)
after?stringPagination cursor for groups list (after)
Server response example
application/json- response
groups?array<>paging?curl -X GET 'https://api.1msg.io/123/groups?limit=100&before=MA%3D%3D&after=MQ%3D%3D'{ "groups": [ { "id": "Y2FwaV9ncm91cDoxNzA1NTU1MDEzOToxMjAzNjM0MDQ2OTQyMzM4MjAZD", "subject": "Group name", "description": "Group description", "participants": [ { "wa_id": "79001234567", "type": "admin" } ], "chatId": "[email protected]" } ], "paging": { "before": "MA==", "after": "MQ==" }}